#!/bin/sh

timestamp=$(date +%Y%m%d%H%M%S)
logsdir="logs"

[ ! -e $logsdir ] && echo "mkdir $logsdir" && mkdir $logsdir

logfile="logs/sgad_${timestamp}.log"

POSITIONAL="" # String para salvar argumentos passados ao comando
while [ $# -gt 0 ] # Percorre todos argumentos
do
   case "$1" in
      --sga_name)
         sga_name="$2"
         shift
         shift
         ;;
      --sga_name=*)
         sga_name="${1#*=}"
         shift
         ;;
      --*)
         echo "$0: unrecognized option '$1'"
         echo "Available options are:"
         echo "  --sga_name  SGA name to get config from a multiple config file"
         exit 1
         ;;
      *)
         POSITIONAL="${POSITIONAL} $1"
         shift
         ;;
   esac
done
set -- "${POSITIONAL}" # Reseta a posição do $N que foi shiftada
configfile=$1 # Como shiftamos todos os argumentos para a direita, nosso $1 sempre vai ser o argumento config_file, se ele existir
if [ -z ${configfile} ]; then
   echo "Using default file configuration" > ${logfile};
   configfile=sgad.cfg
fi

hostruntimedir="/tmp/chuva"
sgadruntimedir="${hostruntimedir}/sgad"
runtimesandboxdir="${sgadruntimedir}/sandbox"

[ ! -e $hostruntimedir ] && echo "mkdir $hostruntimedir..." && mkdir $hostruntimedir
[ ! -e $sgadruntimedir ] && echo "mkdir $sgadruntimedir..." && mkdir $sgadruntimedir
[ ! -e $runtimesandboxdir ] && echo "mkdir $runtimesandboxdir..." && mkdir $runtimesandboxdir

eval $(luarocks path --bin)
sgad ${configfile} ${sga_name} 2>&1 | tee -a "${logfile}"
